UpdateSavedQuery
Updates the saved queries.
PATCH
/
v1
/
namespaces
/
{object.tenant_meta.namespace}
/
saved-queries
UpdateSavedQuery
curl --request PATCH \
--url https://api.endorlabs.com/v1/namespaces/{object.tenant_meta.namespace}/saved-queries \
--header 'Content-Type: application/json' \
--data '
{
"object": {
"propagate": true,
"spec": {
"is_default": true,
"monitor": true,
"query_type": "QUERY_TYPE_UNSPECIFIED"
},
"tenant_meta": {}
},
"request": {
"force": true,
"update_mask": "<string>"
}
}
'import requests
url = "https://api.endorlabs.com/v1/namespaces/{object.tenant_meta.namespace}/saved-queries"
payload = {
"object": {
"propagate": True,
"spec": {
"is_default": True,
"monitor": True,
"query_type": "QUERY_TYPE_UNSPECIFIED"
},
"tenant_meta": {}
},
"request": {
"force": True,
"update_mask": "<string>"
}
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
object: {
propagate: true,
spec: {is_default: true, monitor: true, query_type: 'QUERY_TYPE_UNSPECIFIED'},
tenant_meta: {}
},
request: {force: true, update_mask: '<string>'}
})
};
fetch('https://api.endorlabs.com/v1/namespaces/{object.tenant_meta.namespace}/saved-queries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"name": "<string>",
"annotations": {},
"create_time": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"description": "<string>",
"index_data": {
"data": [
"<string>"
],
"search_score": 123,
"tenant": "<string>",
"will_be_deleted_at": "2023-11-07T05:31:56Z"
},
"kind": "<string>",
"parent_kind": "<string>",
"parent_uuid": "<string>",
"references": {},
"tags": [
"<string>"
],
"update_time": "2023-11-07T05:31:56Z",
"updated_by": "<string>",
"upsert_time": "2023-11-07T05:31:56Z",
"version": "<string>"
},
"tenant_meta": {
"namespace": "<string>"
},
"propagate": true,
"spec": {
"is_default": true,
"lock": true,
"monitor": true,
"query": {
"meta": {
"name": "<string>",
"annotations": {},
"create_time": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"description": "<string>",
"index_data": {
"data": [
"<string>"
],
"search_score": 123,
"tenant": "<string>",
"will_be_deleted_at": "2023-11-07T05:31:56Z"
},
"kind": "<string>",
"parent_kind": "<string>",
"parent_uuid": "<string>",
"references": {},
"tags": [
"<string>"
],
"update_time": "2023-11-07T05:31:56Z",
"updated_by": "<string>",
"upsert_time": "2023-11-07T05:31:56Z",
"version": "<string>"
},
"tenant_meta": {
"namespace": "<string>"
},
"spec": {
"query_response": {
"@type": "<string>"
},
"query_spec": {
"kind": "<string>",
"list_parameters": {
"action": "<string>",
"ci_run_uuid": "<string>",
"count": true,
"disable_pagination": true,
"filter": "<string>",
"group": {
"aggregation_paths": "<string>",
"show_aggregation_uuids": true,
"unique_count_paths": "<string>",
"unique_value_paths": "<string>"
},
"group_by_time": {
"aggregation_operator": "<string>",
"aggregation_paths": "<string>",
"aggregation_value_field": "<string>",
"end_time": "2023-11-07T05:31:56Z",
"group_size": 123,
"interval": "GROUP_BY_TIME_INTERVAL_UNSPECIFIED",
"mode": "<string>",
"show_aggregation_uuids": true,
"start_time": "2023-11-07T05:31:56Z"
},
"mask": "<string>",
"page_id": "<string>",
"page_size": 123,
"page_token": 123,
"search_query": {
"filters": [
{
"autocomplete": {
"path": "<string>",
"query": "<string>",
"fuzzy": {
"max_edits": 123,
"max_expansion": 123,
"prefix_length": 123,
"score_options": {
"boost": 123,
"constant": 123
}
},
"score_options": {
"boost": 123,
"constant": 123
},
"token_order": "<string>"
},
"compound": "<unknown>",
"equals": {
"path": "<string>",
"value": {
"bool_value": true,
"double_value": 123,
"int64_value": "<string>",
"string_value": "<string>",
"timestamp_value": "2023-11-07T05:31:56Z"
},
"score_options": {
"boost": 123,
"constant": 123
}
},
"in": {
"path": "<string>",
"values": [
{
"bool_value": true,
"double_value": 123,
"int64_value": "<string>",
"string_value": "<string>",
"timestamp_value": "2023-11-07T05:31:56Z"
}
],
"score_options": {
"boost": 123,
"constant": 123
}
},
"phrase": {
"path": "<string>",
"query": "<string>",
"score_options": {
"boost": 123,
"constant": 123
}
},
"query_string": {
"path": "<string>",
"query": "<string>",
"score_options": {
"boost": 123,
"constant": 123
}
},
"range": {
"path": "<string>",
"gt": {
"bool_value": true,
"double_value": 123,
"int64_value": "<string>",
"string_value": "<string>",
"timestamp_value": "2023-11-07T05:31:56Z"
},
"gte": {
"bool_value": true,
"double_value": 123,
"int64_value": "<string>",
"string_value": "<string>",
"timestamp_value": "2023-11-07T05:31:56Z"
},
"lt": {
"bool_value": true,
"double_value": 123,
"int64_value": "<string>",
"string_value": "<string>",
"timestamp_value": "2023-11-07T05:31:56Z"
},
"lte": {
"bool_value": true,
"double_value": 123,
"int64_value": "<string>",
"string_value": "<string>",
"timestamp_value": "2023-11-07T05:31:56Z"
},
"score_options": {
"boost": 123,
"constant": 123
}
},
"regex": {
"path": "<string>",
"query": "<string>",
"allow_analyzed": true,
"score_options": {
"boost": 123,
"constant": 123
}
},
"text": {
"path": "<string>",
"query": "<string>",
"full_match": true,
"fuzzy": {
"max_edits": 123,
"max_expansion": 123,
"prefix_length": 123,
"score_options": {
"boost": 123,
"constant": 123
}
},
"score_options": {
"boost": 123,
"constant": 123
}
},
"wildcard": {
"path": "<string>",
"query": "<string>",
"allow_analyzed": true,
"score_options": {
"boost": 123,
"constant": 123
}
}
}
],
"must": [
{
"autocomplete": {
"path": "<string>",
"query": "<string>",
"fuzzy": {
"max_edits": 123,
"max_expansion": 123,
"prefix_length": 123,
"score_options": {
"boost": 123,
"constant": 123
}
},
"score_options": {
"boost": 123,
"constant": 123
},
"token_order": "<string>"
},
"compound": "<unknown>",
"equals": {
"path": "<string>",
"value": {
"bool_value": true,
"double_value": 123,
"int64_value": "<string>",
"string_value": "<string>",
"timestamp_value": "2023-11-07T05:31:56Z"
},
"score_options": {
"boost": 123,
"constant": 123
}
},
"in": {
"path": "<string>",
"values": [
{
"bool_value": true,
"double_value": 123,
"int64_value": "<string>",
"string_value": "<string>",
"timestamp_value": "2023-11-07T05:31:56Z"
}
],
"score_options": {
"boost": 123,
"constant": 123
}
},
"phrase": {
"path": "<string>",
"query": "<string>",
"score_options": {
"boost": 123,
"constant": 123
}
},
"query_string": {
"path": "<string>",
"query": "<string>",
"score_options": {
"boost": 123,
"constant": 123
}
},
"range": {
"path": "<string>",
"gt": {
"bool_value": true,
"double_value": 123,
"int64_value": "<string>",
"string_value": "<string>",
"timestamp_value": "2023-11-07T05:31:56Z"
},
"gte": {
"bool_value": true,
"double_value": 123,
"int64_value": "<string>",
"string_value": "<string>",
"timestamp_value": "2023-11-07T05:31:56Z"
},
"lt": {
"bool_value": true,
"double_value": 123,
"int64_value": "<string>",
"string_value": "<string>",
"timestamp_value": "2023-11-07T05:31:56Z"
},
"lte": {
"bool_value": true,
"double_value": 123,
"int64_value": "<string>",
"string_value": "<string>",
"timestamp_value": "2023-11-07T05:31:56Z"
},
"score_options": {
"boost": 123,
"constant": 123
}
},
"regex": {
"path": "<string>",
"query": "<string>",
"allow_analyzed": true,
"score_options": {
"boost": 123,
"constant": 123
}
},
"text": {
"path": "<string>",
"query": "<string>",
"full_match": true,
"fuzzy": {
"max_edits": 123,
"max_expansion": 123,
"prefix_length": 123,
"score_options": {
"boost": 123,
"constant": 123
}
},
"score_options": {
"boost": 123,
"constant": 123
}
},
"wildcard": {
"path": "<string>",
"query": "<string>",
"allow_analyzed": true,
"score_options": {
"boost": 123,
"constant": 123
}
}
}
],
"must_not": [
{
"autocomplete": {
"path": "<string>",
"query": "<string>",
"fuzzy": {
"max_edits": 123,
"max_expansion": 123,
"prefix_length": 123,
"score_options": {
"boost": 123,
"constant": 123
}
},
"score_options": {
"boost": 123,
"constant": 123
},
"token_order": "<string>"
},
"compound": "<unknown>",
"equals": {
"path": "<string>",
"value": {
"bool_value": true,
"double_value": 123,
"int64_value": "<string>",
"string_value": "<string>",
"timestamp_value": "2023-11-07T05:31:56Z"
},
"score_options": {
"boost": 123,
"constant": 123
}
},
"in": {
"path": "<string>",
"values": [
{
"bool_value": true,
"double_value": 123,
"int64_value": "<string>",
"string_value": "<string>",
"timestamp_value": "2023-11-07T05:31:56Z"
}
],
"score_options": {
"boost": 123,
"constant": 123
}
},
"phrase": {
"path": "<string>",
"query": "<string>",
"score_options": {
"boost": 123,
"constant": 123
}
},
"query_string": {
"path": "<string>",
"query": "<string>",
"score_options": {
"boost": 123,
"constant": 123
}
},
"range": {
"path": "<string>",
"gt": {
"bool_value": true,
"double_value": 123,
"int64_value": "<string>",
"string_value": "<string>",
"timestamp_value": "2023-11-07T05:31:56Z"
},
"gte": {
"bool_value": true,
"double_value": 123,
"int64_value": "<string>",
"string_value": "<string>",
"timestamp_value": "2023-11-07T05:31:56Z"
},
"lt": {
"bool_value": true,
"double_value": 123,
"int64_value": "<string>",
"string_value": "<string>",
"timestamp_value": "2023-11-07T05:31:56Z"
},
"lte": {
"bool_value": true,
"double_value": 123,
"int64_value": "<string>",
"string_value": "<string>",
"timestamp_value": "2023-11-07T05:31:56Z"
},
"score_options": {
"boost": 123,
"constant": 123
}
},
"regex": {
"path": "<string>",
"query": "<string>",
"allow_analyzed": true,
"score_options": {
"boost": 123,
"constant": 123
}
},
"text": {
"path": "<string>",
"query": "<string>",
"full_match": true,
"fuzzy": {
"max_edits": 123,
"max_expansion": 123,
"prefix_length": 123,
"score_options": {
"boost": 123,
"constant": 123
}
},
"score_options": {
"boost": 123,
"constant": 123
}
},
"wildcard": {
"path": "<string>",
"query": "<string>",
"allow_analyzed": true,
"score_options": {
"boost": 123,
"constant": 123
}
}
}
],
"should": [
{
"autocomplete": {
"path": "<string>",
"query": "<string>",
"fuzzy": {
"max_edits": 123,
"max_expansion": 123,
"prefix_length": 123,
"score_options": {
"boost": 123,
"constant": 123
}
},
"score_options": {
"boost": 123,
"constant": 123
},
"token_order": "<string>"
},
"compound": "<unknown>",
"equals": {
"path": "<string>",
"value": {
"bool_value": true,
"double_value": 123,
"int64_value": "<string>",
"string_value": "<string>",
"timestamp_value": "2023-11-07T05:31:56Z"
},
"score_options": {
"boost": 123,
"constant": 123
}
},
"in": {
"path": "<string>",
"values": [
{
"bool_value": true,
"double_value": 123,
"int64_value": "<string>",
"string_value": "<string>",
"timestamp_value": "2023-11-07T05:31:56Z"
}
],
"score_options": {
"boost": 123,
"constant": 123
}
},
"phrase": {
"path": "<string>",
"query": "<string>",
"score_options": {
"boost": 123,
"constant": 123
}
},
"query_string": {
"path": "<string>",
"query": "<string>",
"score_options": {
"boost": 123,
"constant": 123
}
},
"range": {
"path": "<string>",
"gt": {
"bool_value": true,
"double_value": 123,
"int64_value": "<string>",
"string_value": "<string>",
"timestamp_value": "2023-11-07T05:31:56Z"
},
"gte": {
"bool_value": true,
"double_value": 123,
"int64_value": "<string>",
"string_value": "<string>",
"timestamp_value": "2023-11-07T05:31:56Z"
},
"lt": {
"bool_value": true,
"double_value": 123,
"int64_value": "<string>",
"string_value": "<string>",
"timestamp_value": "2023-11-07T05:31:56Z"
},
"lte": {
"bool_value": true,
"double_value": 123,
"int64_value": "<string>",
"string_value": "<string>",
"timestamp_value": "2023-11-07T05:31:56Z"
},
"score_options": {
"boost": 123,
"constant": 123
}
},
"regex": {
"path": "<string>",
"query": "<string>",
"allow_analyzed": true,
"score_options": {
"boost": 123,
"constant": 123
}
},
"text": {
"path": "<string>",
"query": "<string>",
"full_match": true,
"fuzzy": {
"max_edits": 123,
"max_expansion": 123,
"prefix_length": 123,
"score_options": {
"boost": 123,
"constant": 123
}
},
"score_options": {
"boost": 123,
"constant": 123
}
},
"wildcard": {
"path": "<string>",
"query": "<string>",
"allow_analyzed": true,
"score_options": {
"boost": 123,
"constant": 123
}
}
}
]
},
"sort": {
"order": "SORT_ENTRY_ORDER_UNSPECIFIED",
"path": "<string>"
},
"traverse": true
},
"references": [
{
"connect_from": "<string>",
"connect_operator": "<string>",
"connect_to": "<string>",
"query_spec": "<unknown>"
}
],
"return_as": "<string>",
"with": [
{
"kind": "<string>",
"filter": "<string>"
}
]
}
},
"uuid": "<string>"
},
"query_type": "QUERY_TYPE_UNSPECIFIED"
},
"uuid": "<string>"
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Path Parameters
Namespaces are a way to organize organizational units into virtual groupings of resources. Namespaces must be a fully qualified name, for example, the child namespace of namespace "endor.prod" called "app" is called "endor.prod.app".
Body
application/json
Response
A successful response.
SavedQuery implements the metric query requests.
Common fields for all Endor Labs resources.
Show child attributes
Show child attributes
Tenant related data for the tenant containing the resource.
Show child attributes
Show child attributes
Indicates that the object should be visible in child namespaces.
Show child attributes
Show child attributes
The UUID of a saved query.
Was this page helpful?
⌘I
UpdateSavedQuery
